
Redmine - Feature #7420

Rest API for projects members 

2011-01-24 09:33 - Dimitri Sapunou

Status: Closed Start date: 2011-01-24

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed   

Description

There is no Rest API for add, delete und select projects members.

Related issues:

Related to Redmine - Feature #4968: REST API new features Closed 2010-03-02

Related to Redmine - Feature #9834: REST API - List all members of a project Closed

Has duplicate Redmine - Feature #8180: Include project members in project API... Closed 2011-04-18

Has duplicate Redmine - Feature #9725: Managing memberships and list existing... Closed

Associated revisions

Revision 8798 - 2012-02-06 10:47 - Jean-Philippe Lang

REST API for project memberships (#7420).

History

#1 - 2011-06-16 06:54 - Bevan Rudge

An API to create, read, update and destroy members (Herve Harster relationships with a "role") would be useful.

#2 - 2011-06-16 06:56 - Bevan Rudge

Related; http://www.redmine.org/issues/4968

#3 - 2011-07-05 01:21 - Bevan Rudge

Also related: #8745

#4 - 2011-07-15 08:03 - Alex Last

+1

#5 - 2012-02-06 11:49 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.0

- Resolution set to Fixed

Feature added in r8798.
